<?php
/**
 * This functions makes the theme compatible with qTranslate Plugin
 *
 *
 * @package Catch Themes
 * @subpackage Adventurous
 * @since Adventurous 1.0
 */
 

if ( ! function_exists( 'adventurous_menuitem' ) ) :
/**
 * Template for Converting Home link in Custom Menu
 *
 * To override this in a child theme
 * simply create your own adventurous_menuitem(), and that function will be used instead.
 *
 * @since Adventurous 1.0
 */
function adventurous_menuitem( $menu_item ) {
	// convert local URLs in custom menu items	
	if ( $menu_item->type == 'custom' && stripos( $menu_item->url, get_site_url() ) !== false && function_exists( 'qtrans_convertURL' ) ) {
		$menu_item->url = qtrans_convertURL( $menu_item->url );
	}     
	return $menu_item;
} // adventurous_menuitem
endif;

add_filter('wp_setup_nav_menu_item', 'adventurous_menuitem', 0);


if ( ! function_exists( 'adventurous_qtranslate_invalidcache' ) ) :
/**
 * Template for Clearing qtranslate Invalid Cache
 *
 * To override this in a child theme
 * simply create your own adventurous_qtranslate_invalidcache(), and that function will be used instead.
 *
 * @since Adventurous 1.0
 */
function adventurous_qtranslate_invalidcache( $menu_item ) {
	delete_transient( 'adventurous_post_sliders' );
	delete_transient( 'adventurous_page_sliders' );
	delete_transient( 'adventurous_category_sliders' );
	delete_transient( 'adventurous_image_sliders' );
	delete_transient( 'adventurous_homepage_headline' );
	delete_transient( 'adventurous_homepage_featured_content' );
	delete_transient( 'adventurous_footer_content' );	
	delete_transient( 'adventurous_footercode' );
	delete_transient( 'adventurous_featured_image' );
	
} // adventurous_qtranslate_invalidcache
endif;

add_action( 'after_setup_theme', 'adventurous_qtranslate_invalidcache' );