<?php
/**
 * Function to pass the slider effect parameters from php file to js file.
 */
function adventurous_pass_slider_value() {
	$options = adventurous_get_options();

	$transition_effect = $options['transition_effect'];
	$transition_delay = $options['transition_delay'] * 1000;
	$transition_duration = $options['transition_duration'] * 1000;
	wp_localize_script(
		'adventurous-slider',
		'adventurous_slider_value',
		array(
			'transition_effect' => $transition_effect,
			'transition_delay' => $transition_delay,
			'transition_duration' => $transition_duration
		)
	);
}// adventurous_pass_slider_value


/**
 * Shows Default Slider Demo if there is not iteam in Featured Post Slider
 */
function adventurous_default_sliders() {
	//delete_transient( 'adventurous_default_sliders' );

	if ( !$adventurous_default_sliders = get_transient( 'adventurous_default_sliders' ) ) {
		echo '<!-- refreshing cache -->';
		$adventurous_default_sliders = '
		<div id="main-slider">
			<section class="featured-slider">

				<article class="post hentry slides demo-image displayblock">
					<figure class="slider-image">
						<a title="Seto Ghumba" href="#">
							<img src="'. trailingslashit( esc_url ( get_template_directory_uri() ) ) . 'images/demo/slider-1-1600x600.jpg" class="wp-post-image" alt="Seto Ghumba" title="Seto Ghumba">
						</a>
					</figure>
				</article><!-- .slides -->

				<article class="post hentry slides demo-image displaynone">
					<figure class="slider-image">
						<a title="Kathmandu Durbar Square" href="#">
							<img src="'. trailingslashit( esc_url ( get_template_directory_uri() ) ) . 'images/demo/slider-2-1600x600.jpg" class="wp-post-image" alt="Kathmandu Durbar Square" title="Kathmandu Durbar Square">
						</a>
					</figure>
				</article><!-- .slides -->
			</section>
        	<div id="slider-nav">
        		<a class="slide-previous"><span>Previous</span></a>
        		<a class="slide-next"><span>Next</span></a>
        	</div>
			<div id="controllers"></div>
		</div><!-- #main-slider -->';

	set_transient( 'adventurous_default_sliders', $adventurous_default_sliders, 86940 );
	}
	echo $adventurous_default_sliders;
} // adventurous_default_sliders


if ( ! function_exists( 'adventurous_post_sliders' ) ) :
/**
 * Template for Featued Post Slider
 *
 * To override this in a child theme
 * simply create your own adventurous_post_sliders(), and that function will be used instead.
 *
 * @uses adventurous_header action to add it in the header
 * @since Adventurous 1.0
 */
function adventurous_post_sliders() {
	//delete_transient( 'adventurous_post_sliders' );

	global $post;
	$options = adventurous_get_options();

	if ( ( !$output = get_transient( 'adventurous_post_sliders' ) ) && !empty( $options['featured_slider'] ) ) {
		echo '<!-- refreshing cache -->';
		$output = '
		<div id="main-slider">
        	<section class="featured-slider">';

		$loop = new WP_Query( array(
			'posts_per_page'      => $options['slider_qty'],
			'post__in'            => $options['featured_slider'],
			'orderby'             => 'post__in',
			'ignore_sticky_posts' => 1 // ignore sticky posts
		));

		while ( $loop->have_posts() ) :

			$loop->the_post();

			$title_attribute = the_title_attribute( 'echo=0' );

			$excerpt = get_the_excerpt();

			if ( 0 === $loop->current_post ) {
				$classes = 'post postid-'.$post->ID.' hentry slides displayblock';
			} else {
				$classes = 'post postid-'.$post->ID.' hentry slides displaynone';
			}

			$output .= '
				<article class="'.$classes.'">
					<figure class="slider-image">
						<a title="' . $title_attribute .'" href="' . esc_url( get_permalink() ) . '">
						'. get_the_post_thumbnail( $post->ID, 'slider', array( 'title' => $title_attribute, 'alt' => $title_attribute, 'class'	=> 'pngfix' ) ).'
						</a>
					</figure>';

				if ( empty ( $options['disable_slider_text'] ) ) {
					$output .= '
					<div class="entry-container">
						<header class="entry-header">
							<h2 class="entry-title">
								<a title="' . $title_attribute .'" href="' . esc_url( get_permalink() ) . '">'.the_title( '<span>','</span>', false ).'</a>
							</h2>
						</header>';
						if ( $excerpt !='') {
							$output .= '<div class="entry-content">'. $excerpt.'</div>';
						}
						$output .= '
					</div>';
				}

			$output .= '
				</article><!-- .slides -->';

		endwhile;

		wp_reset_postdata();

		$output .= '
			</section>

			<div id="slider-nav">
				<a class="slide-previous"><span>Previous</span></a>
				<a class="slide-next"><span>Next</span></a>
			</div>

			<div id="controllers"></div>
		</div><!-- #main-slider -->';


		set_transient( 'adventurous_post_sliders', $output, 86940 );
	}

	echo $output;
} // adventurous_post_sliders
endif;


if ( ! function_exists( 'adventurous_page_sliders' ) ) :
/**
 * Template for Featued Page Slider
 *
 * To override this in a child theme
 * simply create your own adventurous_page_sliders(), and that function will be used instead.
 *
 * @uses adventurous_header action to add it in the header
 * @since Adventurous 1.0
 */
function adventurous_page_sliders() {
	//delete_transient( 'adventurous_page_sliders' );

	global $post;
	$options = adventurous_get_options();


	if ( ( !$output = get_transient( 'adventurous_page_sliders' ) ) && !empty( $options['featured_slider_page'] ) ) {
		echo '<!-- refreshing cache -->';

		$output = '
		<div id="main-slider">
        	<section class="featured-slider">';
				$loop = new WP_Query( array(
					'posts_per_page'	=> $options['slider_qty'],
					'post_type'			=> 'page',
					'post__in'			=> $options['featured_slider_page'],
					'orderby' 			=> 'post__in'
				));
				while ( $loop->have_posts()) :

					$loop->the_post();

					$title_attribute = the_title_attribute( 'echo=0' );

					$excerpt = get_the_excerpt();

					if ( 1 == $loop->current_post ) {
						$classes = 'page pageid-'.$post->ID.' hentry slides displayblock';
					} else {
						$classes = 'page pageid-'.$post->ID.' hentry slides displaynone';
					}

					$output .= '
					<article class="' . esc_attr( $classes ) . '">
						<figure class="slider-image">
							<a title="' . $title_attribute .'" href="' . esc_url( get_permalink() ) . '">
								'. get_the_post_thumbnail( $post->ID, 'slider', array( 'title' => $title_attribute, 'alt' => $title_attribute, 'class'	=> 'pngfix' ) ).'
							</a>
						</figure>';
						if ( empty ( $options['disable_slider_text'] ) ) {
							$output .= '
							<div class="entry-container">
								<header class="entry-header">
									<h2 class="entry-title">
										<a title="' . $title_attribute .'" href="' . esc_url( get_permalink() ) . '">'.the_title( '<span>','</span>', false ).'</a>
									</h2>
								</header>';
								if ( $excerpt !='') {
									$output .= '<div class="entry-content">'. $excerpt.'</div>';
								}
								$output .= '
							</div>';
						}
					$output .= '</article><!-- .slides -->';

				endwhile; wp_reset_postdata();
				$output .= '
			</section>
        	<div id="slider-nav">
        		<a class="slide-previous"><span>Previous</span></a>
        		<a class="slide-next"><span>Next</span></a>
        	</div>
        	<div id="controllers"></div>
  		</div><!-- #main-slider -->';

	set_transient( 'adventurous_page_sliders', $output, 86940 );
	}
	echo $output;
} // adventurous_page_sliders
endif;


if ( ! function_exists( 'adventurous_category_sliders' ) ) :
/**
 * Template for Featued Category Slider
 *
 * To override this in a child theme
 * simply create your own adventurous_category_sliders(), and that function will be used instead.
 *
 * @uses adventurous_header action to add it in the header
 * @since Adventurous 1.0
 */
function adventurous_category_sliders() {
	//delete_transient( 'adventurous_category_sliders' );

	global $post;
	$options = adventurous_get_options();


	if ( ( !$output = get_transient( 'adventurous_category_sliders' ) ) ) {
		echo '<!-- refreshing cache -->';

		$output = '
		<div id="main-slider">
        	<section class="featured-slider">';
				$loop = new WP_Query( array(
					'posts_per_page'		=> $options['slider_qty'],
					'category__in'			=> $options['slider_category'],
					'ignore_sticky_posts' 	=> 1 // ignore sticky posts
				));

				while ( $loop->have_posts()) :

					$loop->the_post();

					$title_attribute = the_title_attribute( 'echo=0' );

					$excerpt = get_the_excerpt();

					if ( 1 == $loop->current_post ) { $classes = 'post pageid-'.$post->ID.' hentry slides displayblock'; } else { $classes = 'post pageid-'.$post->ID.' hentry slides displaynone'; }
					$output .= '
					<article class="'.$classes.'">
						<figure class="slider-image">
							<a title="' . $title_attribute .'" href="' . esc_url( get_permalink() ) . '">
								'. get_the_post_thumbnail( $post->ID, 'slider', array( 'title' => $title_attribute, 'alt' => $title_attribute, 'class'	=> 'pngfix' ) ).'
							</a>
						</figure>';
						if ( empty ( $options['disable_slider_text'] ) ) {
							$output .= '
							<div class="entry-container">
								<header class="entry-header">
									<h2 class="entry-title">
										<a title="' . $title_attribute .'" href="' . esc_url( get_permalink() ) . '">'.the_title( '<span>','</span>', false ).'</a>
									</h2>
								</header>';
								if ( $excerpt !='') {
									$output .= '<div class="entry-content">'. $excerpt.'</div>';
								}
								$output .= '
							</div>';
						}
					$output .= '</article><!-- .slides -->';

				endwhile; wp_reset_postdata();
				$output .= '
			</section>
        	<div id="slider-nav">
        		<a class="slide-previous"><span>Previous</span></a>
        		<a class="slide-next"><span>Next</span></a>
        	</div>
        	<div id="controllers"></div>
  		</div><!-- #main-slider -->';

	set_transient( 'adventurous_category_sliders', $output, 86940 );
	}
	echo $output;
} // adventurous_category_sliders
endif;


if ( ! function_exists( 'adventurous_image_sliders' ) ) :
/**
 * Template for Featued Image Slider
 *
 * To override this in a child theme
 * simply create your own adventurous_image_sliders(), and that function will be used instead.
 *
 * @uses adventurous_header action to add it in the header
 * @since Adventurous 1.0
 */
function adventurous_image_sliders() {
	//delete_transient( 'adventurous_image_sliders' );

	$options = adventurous_get_options();

	$more_tag_text = $options['more_tag_text'];

	if ( ( !$adventurous_image_sliders = get_transient( 'adventurous_image_sliders' ) ) && !empty( $options['featured_image_slider_image'] ) ) {
		echo '<!-- refreshing cache -->';

		$adventurous_image_sliders = '
		<div id="main-slider">
        	<section class="featured-slider">';

				for ( $i = 1; $i <= $options['slider_qty']; $i++ ) {

					//Adding in Classes for Display blok and none
					if ( 1 == $i ) { $classes = 'image imageid-'.$i.' hentry slides displayblock'; } else { $classes = 'image imageid-'.$i.' hentry slides displaynone'; }

					//Checking Link
					if ( !empty ( $options['featured_image_slider_link'][ $i ] ) ) {
						//support for qtranslate custom link
						if ( function_exists( 'qtrans_convertURL' ) ) {
							$link = qtrans_convertURL($options['featured_image_slider_link'][ $i ]);
						}
						else {
							$link = $options['featured_image_slider_link'][ $i ];
						}
						//Checking Link Target
						if ( !empty ( $options['featured_image_slider_base'][ $i ] ) ) {
							$target = '_blank';
						} else {
							$target = '_self';
						}
					}
					else {
						$link = '';
						$target = '';
					}


					//Check Image Not Empty to add in the slides
					if ( !empty ( $options['featured_image_slider_image'][ $i ] ) ) {

						//Checking Title
						if ( !empty ( $options['featured_image_slider_title'][ $i ] ) ) {
							$imagetitle = $options['featured_image_slider_title'][ $i ];

							if ( !empty ( $options['featured_image_slider_link'][ $i ] ) ) {
								$title = '<header class="entry-header"><h2 class="entry-title"><a title="' . $imagetitle . '" href="'.$options['featured_image_slider_link'][ $i ].'" target="' . $target . '"><span>' . $imagetitle . '</span></a></h2></header>';
							}
							else {
								$title = '<header class="entry-header"><h2 class="entry-title"><span>' . $imagetitle . '</span></h2></header>';
							}

						}
						else {
							$title = '';
							$imagetitle = '';
						}

						//Checking Content
						if ( !empty ( $options['featured_image_slider_content'][ $i ] ) ) {
							$imagecontent = $options['featured_image_slider_content'][ $i ];

							if ( !empty ( $options['featured_image_slider_link'][ $i ] ) ) {
								$content = '<div class="entry-content">' . $imagecontent . ' <a href="' . esc_url( $link ) . '" class="more-link" target="' . $target . '">' . $more_tag_text . '</a></div>';
							}
							else {
								$content = '<div class="entry-content">' . $imagecontent . '</div>';
							}
						}
						else {
							$content = '';
							$imagecontent = '';
						}

						//Checking Image
						if ( !empty ( $options['featured_image_slider_link'][ $i ] ) ) {
							$image = '<figure class="slider-image"><a title="' . $imagetitle . '" href="' . esc_url( $link ) . '" target="' . $target . '"><img title="' . $imagetitle . '" alt="' . $imagetitle . '" class="wp-post-image" src="'.$options['featured_image_slider_image'][ $i ].'" /></a></figure>';
						}
						else {
							$image = '<figure class="slider-image"><span class="no-img-link"><img title="' . $imagetitle . '" alt="' . $imagetitle . '" class="wp-post-image" src="'.$options['featured_image_slider_image'][ $i ].'" /></figure>';
						}

						//Content Opening and Closing
						if ( !empty ( $options['featured_image_slider_title'][ $i ] ) || !empty ( $options['featured_image_slider_content'][ $i ] ) ) {
							$contentopening = '<div class="entry-container">';
							$contentclosing = '</div>';
						}
						else {
							$contentopening = '';
							$contentclosing = '';
						}

						$adventurous_image_sliders .= '
						<article class="'.$classes.'">'
							.$image;
							if ( empty ( $options['disable_slider_text'] ) ) {
								$adventurous_image_sliders .=
								$contentopening
									.$title
									.$content
								.$contentclosing;
							}
						$adventurous_image_sliders .= '</article><!-- .slides -->';

					}
				}
			$adventurous_image_sliders .= '
			</section>
        	<div id="slider-nav">
        		<a class="slide-previous"><span>Previous</span></a>
        		<a class="slide-next"><span>Next</span></a>
        	</div>
        	<div id="controllers"></div>
  		</div><!-- #main-slider -->';

	set_transient( 'adventurous_image_sliders', $adventurous_image_sliders, 86940 );
	}
	echo $adventurous_image_sliders;
} // adventurous_image_sliders
endif;


if ( ! function_exists( 'adventurous_slider_display' ) ) :
/**
 * Shows Slider
 */
function adventurous_slider_display() {
	global $post, $wp_query;
	$options = adventurous_get_options();

	// get data value from theme options
	$enableslider = $options['enable_slider'];
	$slidertype = $options['select_slider_type'];

	// Front page displays in Reading Settings
	$page_on_front = get_option('page_on_front') ;
	$page_for_posts = get_option('page_for_posts');

	// Get Page ID outside Loop
	$page_id = $wp_query->get_queried_object_id();

	if ( ( 'enable-slider-allpage' == $enableslider ) || ( ( is_front_page() || ( is_home() && $page_for_posts != $page_id ) ) && 'enable-slider-homepage' == $enableslider ) ) :
		// This function passes the value of slider effect to js file
		if ( function_exists( 'adventurous_pass_slider_value' ) ) : adventurous_pass_slider_value(); endif;

		if (  'post-slider' == $slidertype ) {
			if ( !empty( $options['featured_slider'] ) && function_exists( 'adventurous_post_sliders' ) ) {
				adventurous_post_sliders();
			}
			else {
				echo '<p style="text-align: center">' . esc_attr__( 'You have selected Post Slider but you haven\'t added the Post ID in "Appearance => Theme Options => Featured Slider => Featured Post Slider Options"', 'adventurous-pro' ) . '</p>';
			}
		}
		elseif (  'page-slider' == $slidertype ) {
			if ( !empty( $options['featured_slider_page'] ) && function_exists( 'adventurous_page_sliders' ) ) {
				adventurous_page_sliders();
			}
			else {
				echo '<p style="text-align: center">' . esc_attr__( 'You have selected Page Slider but you haven\'t added the Page ID in "Appearance => Theme Options => Featured Slider => Featured Page Slider Options"', 'adventurous-pro' ) . '</p>';
			}
		}
		elseif (  'category-slider' == $slidertype ) {
			if ( function_exists( 'adventurous_category_sliders' ) ) {
				adventurous_category_sliders();
			}
			else {
				echo '<p style="text-align: center">' . esc_attr__( 'You have selected Category Slider but you haven\'t selected any categories in "Appearance => Theme Options => Featured Slider => Featured Category Slider Options"', 'adventurous-pro' ) . '</p>';
			}
		}
		elseif (  'image-slider' == $slidertype ) {
			if ( !empty( $options['featured_image_slider_image'] ) && function_exists( 'adventurous_image_sliders' ) ) {
				adventurous_image_sliders();
			}
			else {
				echo '<p style="text-align: center">' . esc_attr__( 'You have selected Image Slider but you haven\'t uploaded any image in "Appearance => Theme Options => Featured Slider => Featured Image Slider Options"', 'adventurous-pro' ) . '</p>';
			}
		}
		else {
			adventurous_default_sliders();
		}
	endif;
}
endif; // adventurous_slider_display

add_action( 'adventurous_before_main', 'adventurous_slider_display', 40 );
